// ①センサー情報を送信しデータ更新
String updateSensor(){
  String mStr = checkSensor(ONPA_TRIG, ONPA_ECHO);
  String messageS = "{\"d\":" + mStr + "}";
  return messageS;
}

// ②センサー情報取得
String checkSensor(byte trigPin, byte echoPin){
  // ③超音波を発して物体に当って跳ね返ってきた時間
  int duration;
  // ④物体との距離
  float distance;
  // ⑤TrigピンをLOWに設定してリセット
  digitalWrite(trigPin, LOW);
  // ⑥1μ秒処理を止める
  delayMicroseconds(1);
  // ⑦TrigピンをHIGHに設定
  digitalWrite(trigPin, HIGH);
  // ⑧10μ秒処理を止める
  delayMicroseconds(10);
  // ⑨TrigピンをLOWに設定
  digitalWrite(trigPin, LOW);
  // ⑩超音波を発して物体に当って跳ね返ってきた時間(μ秒)を取得
  duration = pulseIn(echoPin, HIGH);
  // ⑪取得した時間は往復時間のため2で割る
  distance = duration / 2;
  // ⑫測定時間から距離(cm)を算出
  distance = distance / 1000000 * 340 * 100;
  // ⑬シリアルモニターに表示
  Serial.print(String(echoPin) + "_Duration: ");
  Serial.print(duration);
  Serial.print(" usec ");
  Serial.print(" Distance: ");
  Serial.print(distance);
  Serial.println(" cm");
  // ⑭測定結果を返答
  return String (distance);
}
